package com.neusoft.smart.pos.member.persistent.domain;

import java.io.Serializable;
import java.util.Date;

public class MemberLevelPolicy implements Serializable {
    private Integer id;

    private Integer levelNumber;

    private String levelName;

    private Integer version;

    private Integer orgId;

    private Integer storeId;

    private Date durationTime;

    private String levelCondition;

    private String bonusCalculator;

    private String memberImage;

    private Integer isActive;

    private Date createdTime;

    private String createdBy;

    private Date updatedTime;

    private String updatedBy;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getLevelNumber() {
        return levelNumber;
    }

    public void setLevelNumber(Integer levelNumber) {
        this.levelNumber = levelNumber;
    }

    public String getLevelName() {
        return levelName;
    }

    public void setLevelName(String levelName) {
        this.levelName = levelName == null ? null : levelName.trim();
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public Integer getStoreId() {
        return storeId;
    }

    public void setStoreId(Integer storeId) {
        this.storeId = storeId;
    }

    public Date getDurationTime() {
        return durationTime;
    }

    public void setDurationTime(Date durationTime) {
        this.durationTime = durationTime;
    }

    public String getLevelCondition() {
        return levelCondition;
    }

    public void setLevelCondition(String levelCondition) {
        this.levelCondition = levelCondition == null ? null : levelCondition.trim();
    }

    public String getBonusCalculator() {
        return bonusCalculator;
    }

    public void setBonusCalculator(String bonusCalculator) {
        this.bonusCalculator = bonusCalculator == null ? null : bonusCalculator.trim();
    }

    public String getMemberImage() {
        return memberImage;
    }

    public void setMemberImage(String memberImage) {
        this.memberImage = memberImage == null ? null : memberImage.trim();
    }

    public Integer getIsActive() {
        return isActive;
    }

    public void setIsActive(Integer isActive) {
        this.isActive = isActive;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }
}